
%define name    keytouch-editor
%define version 3.1.3
%define rel	%mkrel 1
%define summary Configure extra keyboard keys
%define section System/Configuration/Hardware

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{rel} 
URL:		http://keytouch.sourceforge.net
License:        GPL
Group:          %{section}
Source0:	http://superb-east.dl.sourceforge.net/sourceforge/keytouch/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 


%description
KeyTouch-editor lets you make your own keyboard configuration file.
This file can be used in combination with KeyTouch.

KeyTouch is a program which allows you to easily configure the extra function
keys of your keyboard. This means that you can define, for every individual 
function key, what to do if it is pressed.
When you buy a new keyboard a CD-ROM will probably included. This CD-ROM 
contains software to configure the extra function keys (the image above shows 
an example of extra functionkeys) of your keyboard with. The problem however 
is that most of the times the software is not available for Linux.
KeyTouch is the solution to this problem. It allows you to easily configure 
the extra function keys of your keyboard.


%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

%build

%configure
%make 


%install

%makeinstall

# Menu entry
mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Keytouch-editor
Comment=%{summary}
Exec=%{_bindir}/keytouch-editor
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;GNOME;X-MandrivaLinux-System-Configuration-Hardware
EOF

#icons
mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 pixmaps/icon.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 pixmaps/icon.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 pixmaps/icon.png %{buildroot}/%{_miconsdir}/%{name}.png


%post
%update_desktop_database

%postun
%clean_desktop_database

%clean 
rm -rf $RPM_BUILD_ROOT 


%files 
%defattr(-,root,root,0755) 
%doc COPYING
%_iconsdir/*
%_bindir/keytouch-editor*
%_datadir/applications/keytouch-editor.desktop
%_datadir/keytouch-editor-bin
%_datadir/locale/*/LC_MESSAGES/keytouch-editor*

%changelog 
* Sat Jan 19 2008 Sam Exner <samexner@gmail.com> 3.1.3-1pclos2007
- Updated to 3.1.3

* Mon Aug 06 2007 Bart the Build Bot <bartbot@pclinuxos.com> 3.1.2-1pclos2007
- Build for PCLinuxOS 2007
